diff -pruN 1.1.4-3/debian/changelog 1.1.4-4/debian/changelog
--- 1.1.4-3/debian/changelog	2023-08-07 06:12:35.000000000 +0000
+++ 1.1.4-4/debian/changelog	2024-06-27 06:22:27.000000000 +0000
@@ -1,3 +1,10 @@
+facile (1.1.4-4) unstable; urgency=medium
+
+  * Team upload
+  * Fix compilation with OCaml 5.x (Closes: #1073878)
+
+ -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jun 2024 08:22:27 +0200
+
 facile (1.1.4-3) unstable; urgency=medium
 
   * Team upload
diff -pruN 1.1.4-3/debian/patches/0002-Fix-compilation-with-OCaml-5.x.patch 1.1.4-4/debian/patches/0002-Fix-compilation-with-OCaml-5.x.patch
--- 1.1.4-3/debian/patches/0002-Fix-compilation-with-OCaml-5.x.patch	1970-01-01 00:00:00.000000000 +0000
+++ 1.1.4-4/debian/patches/0002-Fix-compilation-with-OCaml-5.x.patch	2024-06-27 06:22:27.000000000 +0000
@@ -0,0 +1,91 @@
+From: Stephane Glondu <steph@glondu.net>
+Date: Thu, 27 Jun 2024 08:21:17 +0200
+Subject: Fix compilation with OCaml 5.x
+
+Bug-Debian: https://bugs.debian.org/1073878
+---
+ lib/fcl_cstr.ml      | 2 +-
+ lib/fcl_fdArray.ml   | 2 +-
+ lib/fcl_misc.ml      | 6 +++---
+ lib/fcl_nonlinear.ml | 2 +-
+ lib/fcl_sorting.ml   | 4 ++--
+ 5 files changed, 8 insertions(+), 8 deletions(-)
+
+diff --git a/lib/fcl_cstr.ml b/lib/fcl_cstr.ml
+index 6227427..f3e44f7 100644
+--- a/lib/fcl_cstr.ml
++++ b/lib/fcl_cstr.ml
+@@ -50,7 +50,7 @@ let create ?(name = "anonymous") ?(nb_wakings = 1) ?fprint ?(priority = normal)
+   and nb_solved = Fcl_stak.ref 0 in
+   let update i =
+     if update i then
+-      if Pervasives.not solved.(i) then begin
++      if Stdlib.not solved.(i) then begin
+        	Fcl_stak.set nb_solved (Fcl_stak.get nb_solved + 1);
+        	array_set_true solved i
+       end in
+diff --git a/lib/fcl_fdArray.ml b/lib/fcl_fdArray.ml
+index 149d060..319cdab 100644
+--- a/lib/fcl_fdArray.ml
++++ b/lib/fcl_fdArray.ml
+@@ -299,7 +299,7 @@ let get array index =
+       let (mi, ma) =
+       	Array.fold_left
+ 	  (fun (mi, ma) e ->
+-	    (Pervasives.min mi (Fd.min e), Pervasives.max ma (Fd.max e)))
++	    (Stdlib.min mi (Fd.min e), Stdlib.max ma (Fd.max e)))
+ 	  (max_int, min_int) array in
+       if mi = ma then Fd.int mi else
+       let value = Fd.create (Fcl_domain.interval mi ma) in
+diff --git a/lib/fcl_misc.ml b/lib/fcl_misc.ml
+index cbbbd29..bc1b601 100644
+--- a/lib/fcl_misc.ml
++++ b/lib/fcl_misc.ml
+@@ -50,9 +50,9 @@ module Operators = struct
+     x - y
+ *)
+ 
+-  let (+) = Pervasives.(+)
+-  let (-) = Pervasives.(-)
+-  let ( * ) = Pervasives.( * )
++  let (+) = Stdlib.(+)
++  let (-) = Stdlib.(-)
++  let ( * ) = Stdlib.( * )
+ 
+   let (=+) x y = x := !x + y
+   let (=+.) x y = x := !x +. y
+diff --git a/lib/fcl_nonlinear.ml b/lib/fcl_nonlinear.ml
+index db885d1..d4c90e5 100644
+--- a/lib/fcl_nonlinear.ml
++++ b/lib/fcl_nonlinear.ml
+@@ -274,7 +274,7 @@ let min_max_of_div_for_div a b z =
+ let min_max_of_remainder x y =
+   let r_abs_max =
+     let min_y, max_y = Fd.min_max y in
+-    max (Pervasives.abs min_y) (Pervasives.abs max_y) - 1 in
++    max (Stdlib.abs min_y) (Stdlib.abs max_y) - 1 in
+   if Fd.min x >= 0 then (0, r_abs_max)
+   else if Fd.max x <= 0 then ((0 - r_abs_max), 0)
+   else ((0 - r_abs_max), r_abs_max)
+diff --git a/lib/fcl_sorting.ml b/lib/fcl_sorting.ml
+index 4128ae6..4b77fc3 100644
+--- a/lib/fcl_sorting.ml
++++ b/lib/fcl_sorting.ml
+@@ -355,7 +355,7 @@ let sortp a =
+   else
+     let inf, sup =
+       Array.fold_left
+-      	(fun (inf, sup) x -> Pervasives.min (Fd.min x) inf, Pervasives.max (Fd.max x) sup) (max_int, min_int) a in
++      	(fun (inf, sup) x -> Stdlib.min (Fd.min x) inf, Stdlib.max (Fd.max x) sup) (max_int, min_int) a in
+     let d = Fd.array n inf sup
+     and p = Fd.array n 0 (n - 1) in
+     Fcl_cstr.post (cstr a ~p:(Some p) d);
+@@ -368,7 +368,7 @@ let sort a =
+   else
+     let inf, sup =
+       Array.fold_left
+-      	(fun (inf, sup) x -> Pervasives.min (Fd.min x) inf, Pervasives.max (Fd.max x) sup) (max_int, min_int) a in
++      	(fun (inf, sup) x -> Stdlib.min (Fd.min x) inf, Stdlib.max (Fd.max x) sup) (max_int, min_int) a in
+     let d = Fd.array n inf sup in
+     Fcl_cstr.post (cstr a d);
+     d;;
diff -pruN 1.1.4-3/debian/patches/series 1.1.4-4/debian/patches/series
--- 1.1.4-3/debian/patches/series	2023-08-07 06:12:35.000000000 +0000
+++ 1.1.4-4/debian/patches/series	2024-06-27 06:22:27.000000000 +0000
@@ -1 +1,2 @@
 0001-Run-dune-upgrade.patch
+0002-Fix-compilation-with-OCaml-5.x.patch
